      parameter(leric=50,leric1=leric+1)
      Dimension deleta(leric)
      Dimension si2(leric1)
      read (11) deleta
      print *, deleta
c  delta etas are backwards for gesprep si2
      si2(1) = 1.0
      do 10 k=1,leric
        kk = leric1-k
        si2(k+1) = si2(k) - deleta(kk)
   10 continue
      print *, si2
      si2(leric1) = 0.0
      write(51,20)si2
   20 format((1x,f18.15,','))
c  write out the DETA array for ptetabcs
      write(52,22)(k,deleta(k),k=1,leric)
   22 format((7x,'DETA(',i2,')=',f18.15))
      stop
      end
